PUT
/alerts/monitoring-groups/{Monitoring_Group_Id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/{Monitoring_Group_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "group-260325120151", "description": "this is the description", "member_ids": [ 12345, 67890 ]}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/{Monitoring_Group_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "group-260325120151", "description": "this is the description", "member_ids": [ 12345, 67890, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/{Monitoring_Group_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "group-260325120151", "description": "this is the description", "member_ids": [ 12345, 67890 ] }),});console.log(await response.json());Update an existing monitoring group’s name, description, or members.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Monitoring_Group_Id
required
integer
Monitoring Group ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Updated name of the monitoring group
string
Example
group-260325120151description
Updated description of the monitoring group
string
Example
this is the descriptionmember_ids
List of member IDs to be included in the group
Array<integer>
Example
[ 12345, 67890]Responses
Section titled “Responses”Monitoring group updated successfully
Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
description
string
project
integer
members
Array<object>
object
id
integer
project_id
integer
role
string
team_member
object
id
integer
team_id
integer
iam_user
object
id
integer
owner_id
integer
added_user
object
id
integer
name
string
email
string
username
string
role
string
role
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alerts
Array<object>
object
created_by
integer
created_at
string format: date-time
updated_at
string format: date-time
errors
object
Example
{ "code": 200, "message": "Monitoring group updated successfully", "data": { "id": 38, "name": "group-260325120151", "description": "this is the description", "project": 11035, "members": [ { "id": 1, "project_id": 11035, "role": "Admin", "team_member": { "id": 2001, "team_id": 5816, "iam_user": { "id": 3001, "owner_id": 1001, "added_user": { "id": 4001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "role": "Admin" }, "role": "Admin" }, "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-25T06:29:37Z", "updated_at": "2026-03-25T06:29:37Z" } ], "alerts": [], "created_by": 1001, "created_at": "2026-03-25T06:32:11Z", "updated_at": "2026-03-25T06:32:19Z" }, "errors": {}}